Bug 1565128 - Wrong timezone when selecting retirement time
Summary: Wrong timezone when selecting retirement time
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Milan Zázrivec
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On:
Blocks: 1625376
TreeView+ depends on / blocked
 
Reported: 2018-04-09 12:58 UTC by Vatsal Parekh
Modified: 2019-02-11 13:58 UTC (History)
11 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1625376 (view as bug list)
Environment:
Last Closed: 2019-02-11 13:58:38 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Vatsal Parekh 2018-04-09 12:58:19 UTC
Description of problem:
When doing `Set Retirement date` for a VM, the date-time box in UI lets you select time in your system's timezone, like its 6pm here, so won't won't show me time before of 6, but when saving it, it actually saves 18 hours UTC, which is 12.30am next day here.
(With that logic if you set time from negative UTC timezone, the time would be set for the time that has already passed on UTC?)
Version-Release number of selected component (if applicable):
Version 5.9.2.0.20180320210136_355c506, Master

How reproducible:


Steps to Reproduce:
1. Go to set retirement date for a VM
2. Select a time of today, it will show you time in your timezone
3. save it, and will save in UTC (or server's timezone)

Actual results:
Takes time from browser's timezone, but sets it to UTC

Expected results:
Should convert timezone properly, or show you timezone info while setting the retirement date

Additional info:

Comment 5 Milan Zázrivec 2018-04-12 14:35:14 UTC
Dan, can you please rule on how to proceed with this (send
the bz over to backend people, etc.)

Thanks.

Comment 8 CFME Bot 2018-05-23 11:19:07 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/67e5ac81b55720f652571422539499691bb0f0ec
commit 67e5ac81b55720f652571422539499691bb0f0ec
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Mon Apr 23 09:59:16 2018 -0400
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Mon Apr 23 09:59:16 2018 -0400

    Display browser local time in retirement form

    Nonetheless, the retirement time will still be saved as UTC.

    https://bugzilla.redhat.com/show_bug.cgi?id=1565128

 app/assets/javascripts/controllers/retirement/retirement_form_controller.js | 2 +-
 app/assets/javascripts/directives/datetimepicker.js | 4 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

Comment 9 Tasos Papaioannou 2018-06-26 16:32:29 UTC
Verified on 5.10.0.1.


Note You need to log in before you can comment on or make changes to this bug.